#include <bits/stdc++.h>

using namespace std;

typedef long long lli;
#define LF '\n'

vector<lli> v;
vector<lli> used;

bool check(lli j,lli n)
{
    used.clear();
    used.resize(n+1);
    used[1]=1;
    lli p =1;
    used[j]=1;
    for (int i =j+1;i<=n;i++){
        if (v[i]-v[j]>=v[j]-v[p]){
            used[i]=1;
            p=j;
            j=i;
        }
    }
    p = 1;
    j =0;
    for (int i =1;i<=n;i++){
        if (used[i]==0){
            if (j==0)j=i;
            else{
                if (v[i]-v[j]<v[j]-v[p])return 0;
                p=j;
                j=i;
            }
        }
    }
    return 1;
}

void solve()
{
    lli n;
    cin >> n;
    v.clear();
    v.resize(n+1);
    for (int i =1;i<=n;i++)cin >> v[i];
    sort(v.begin()+1,v.end());
    for (int j =2;j<=n;j++){
        if (check(j,n)){
            cout << "YES" << LF;
            return;
        }
    }
    cout << "NO" << LF;
}

int main()
{
    freopen("input.txt","r",stdin);
    freopen("output.txt","w",stdout);
    lli t;
    cin >> t;
    while(t--)solve();
}